aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArtem Serov <artem.serov@linaro.org>2022-03-16 09:28:31 +0000
committerArtem Serov <artem.serov@linaro.org>2022-03-16 09:37:26 +0000
commita642ec1b360497acb591cb1416fb164d9bba2138 (patch)
tree24c183a0f8a09ee9458821086c5faaa832eef78a
parent8d26558f1ee0e9c094cc28edf7b3a7d1881cf15f (diff)
downloadart-build-scripts-a642ec1b360497acb591cb1416fb164d9bba2138.tar.gz
Fix the --gdb option on target.
utils_run.sh were expecting the --gdb option to be defined and to be 'false' for target tests (it was undefined). Test: test_art_target.sh --64bit --single-test 530-checker-peel-unroll Test: test_art_target.sh --64bit --gdb --gdb-dex2oat --single-test 530-checker-peel-unroll Test: test_art_target.sh --64bit --optimizing Change-Id: Ibee315588da2d1df7548e10f35a9b1148109da37
-rwxr-xr-xtests/test_art_target.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/test_art_target.sh b/tests/test_art_target.sh
index e8f5ab50..06d69606 100755
--- a/tests/test_art_target.sh
+++ b/tests/test_art_target.sh
@@ -60,6 +60,7 @@ declare -A options_format=(
["fvp"]="false"
["isa-features"]=""
["dump-cfg"]=""
+ ["gdb"]="false"
["gdb-dex2oat"]="false"
["gdb-dex2oat-args"]=""
)
@@ -132,6 +133,11 @@ validate_options() {
log E "Can only dump .cfg for a single test."
exit 1
fi
+
+ if ${options["gdb"]} || ${options["gdb-dex2oat"]}; then
+ log E "Debugging is not supported for target tests."
+ exit 1
+ fi
}
usage() {